"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IvantiApi = void 0;
class IvantiApi {
    constructor() {
        this.name = 'IvantiApi';
        this.displayName = 'Ivanti API';
        this.documentationUrl = 'ivantiApi';
        this.properties = [
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                default: '',
                description: 'The API key for the Ivanti instance',
            },
            {
                displayName: 'Base URL',
                name: 'baseUrl',
                type: 'string',
                default: '',
                description: 'The API URL of the Ivanti instance',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'Authorization': '=rest_api_key={{ $credentials.apiKey }}',
                },
            },
        };
        this.test = {
            request: {
                skipSslCertificateValidation: true,
                baseURL: '={{ $credentials.baseUrl }}',
                url: '/HEAT/api/odata/businessobject/incidents?$top=1',
            },
        };
    }
}
exports.IvantiApi = IvantiApi;
//# sourceMappingURL=IvantiApi.credentials.js.map